package com.example.spyware01;

import android.app.Activity;
import android.content.pm.PackageManager;
import android.os.Bundle;
import android.widget.TextView;

public class SpyWare01Activity extends Activity {
	/** Called when the activity is first created. */
	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.main);

		String[] permissions = {
				"com.google.android.apps.chrome.permission.SANDBOX",
				"com.android.chrome.TOS_ACKED",
				"com.android.chrome.permission.C2D_MESSAGE",
				"com.facebook.katana.provider.ACCESS",
				"com.facebook.katana.permission.C2D_MESSAGE",
				"com.facebook.orca.permission.C2D_MESSAGE",
				"com.facebook.orca.provider.ACCESS",
				"com.ntt.voip.android.com050plus.permission.ACCESS_SETTINGS",
				"jp.gree.android.app.permission.C2D_MESSAGE",
				"com.ngmoco.gamejs.permission.C2D_MESSAGE",
				"jp.mixi.permission.C2D_MESSAGE",
				"jp.mixi.permission.MESSAGE_CONTENTPROVIDER_WRITE",
				"jp.mixi.permission.GRAPH_CONTENTPROVIDER_WRITE",
				"jp.naver.line.android.permission.C2D_MESSAGE",
				"jp.naver.line.android.permission.AOM_MESSAGE",
				"jp.naver.android.npush.permission.PUSH_MESSAGE",
				"org.mozilla.firefox.permissions.BROWSER_PROVIDER",
				"org.mozilla.firefox.permissions.PASSWORD_PROVIDER",
				"org.mozilla.firefox.permissions.FORMHISTORY_PROVIDER" };
		StringBuilder sb = new StringBuilder();
		for (String s : permissions){
			String granted = (getPackageManager().checkPermission(s,
					getPackageName()) == PackageManager.PERMISSION_GRANTED) ? "granted"
					: "deneid";
			if (granted.equals("granted")){
				sb.append(s);
				sb.append(":\n");
				sb.append(granted);
				sb.append("\n");
			}
		}
		((TextView) findViewById(R.id.textView1)).setText(sb.toString());

	}
}